diff --git a/src/bin/psql/common.c b/src/bin/psql/common.c
index 70b9310..5b37d3d 100644
--- a/src/bin/psql/common.c
+++ b/src/bin/psql/common.c
@@ -698,7 +698,6 @@ static bool
 PrintQueryResults(PGresult *results)
 {
 	bool		success = false;
-	const char *cmdstatus;
 
 	if (!results)
 		return false;
@@ -709,11 +708,7 @@ PrintQueryResults(PGresult *results)
 			/* print the data ... */
 			success = PrintQueryTuples(results);
 			/* if it's INSERT/UPDATE/DELETE RETURNING, also print status */
-			cmdstatus = PQcmdStatus(results);
-			if (strncmp(cmdstatus, "INSERT", 6) == 0 ||
-				strncmp(cmdstatus, "UPDATE", 6) == 0 ||
-				strncmp(cmdstatus, "DELETE", 6) == 0)
-				PrintQueryStatus(results);
+			PrintQueryStatus(results);
 			break;
 
 		case PGRES_COMMAND_OK:
